#pragma once
#include "Entity.h"
#define CS_BOSS_REDDEMON_CREATENAME L"CS_boss_reddemon"
class CS_Boss_RedDemon :
    public Entity
{
public:
    CS_Boss_RedDemon();
    void Init(std::weak_ptr<Entity> self) override;
    void Step() override;
    void SetState(int stateID, int lr) override;
    void SetState(std::wstring stateName, int lr);
    void Attack(std::weak_ptr<Entity> dst, int* outDamage, float* outAngle, bool* outTakedown, int* outElemType, float* outShockForce, float* outHeavy) override;
    bool Hurt(std::weak_ptr<Entity> src, int getDamage, float angle, bool bTakedown, int elemType, float shockForce, float heavy, int* outRealDamage) override;
    int act_no = 0;
    int act_wait = 0;
    int ani_wait = 0;
    bool bShootable = false;
    bool bNormalMode = false;
};

std::shared_ptr<Entity> CreateCS_Boss_RedDemon();